Take the 2-minute tour ×
Server Fault is a question and answer site for professional system and network administrators. It's 100% free, no registration required.

I am trying to upgrade php and received this error at the command line:

httpd:
Syntax error on line 493 of /private/etc/apache2/httpd.conf: 
Syntax error on line 8 of /private/etc/apache2/other/+php-osx.conf: 
Cannot load /usr/local/php5/libphp5.so into server: 
dlopen(/usr/local/php5/libphp5.so, 10): 
Symbol not found: 
_libiconv\n Referenced from: 
/usr/local/php5/lib/libintl.8.dylib\n
Expected in: /usr/lib/libiconv.2.dylib\n
in /usr/local/php5/lib/libintl.8.dylib

I was trying to upgrade at http://php-osx.liip.ch/ using the command:

curl -s http://php-osx.liip.ch/install.sh | bash -s 5.5

Any help would be appreciated!

share|improve this question
    
Cross-posted from stackoverflow.com/questions/19434808/…;, where I recommended (and will again) using Homebrew for package management on OSX rather than this sort of piecemeal approach. –  ceejayoz Oct 17 '13 at 20:44
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Browse other questions tagged or ask your own question.